﻿@model IEnumerable<eCommerce.Services.Model.Faq>
@{
    ViewBag.Title = "Faqs";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Preguntas Frecuentes (FAQ's)</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/Institutional/FaqUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVA PREGUNTA</span>
            </button>
            <button type="button" class="btn btn-outline btn-primary">
                <span class="hidden-xs">CAMBIAR ÓRDEN</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_FaqList", Model)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            //setActionsDialogs();
        })

        function fDelete(Id)
        {            
            $.ajax({
                url: "/Institutional/FaqDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    //setActionsDialogs();
                    swal("Eliminado!", "", "success");
                }
            });
        }
        
        function fDeleteDialog(faqId)
        {
            var faqId = faqId;
            swal({
                title: "Confirma su acción de Eliminar?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo elminarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fDelete(faqId);
                }
            });
        }

    </script>

}

